Subject: bug#48058: tab-width's docstring

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Apr 2021 18:32:21 +0300

> From: Gustavo Barros <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 27 Apr 2021 12:14:50 -0300
> 
> I didn't expect anything different to happen.  It is just that 
> `tab-width' is determining more than just the "display width of the TAB 
> character": if you (or the major-mode for you) are indenting with spaces 
> the content of the buffer is different according to `tab-width', it not 
> just a matter of "display".
> 
> But I see your point, and perhaps the docstring is clearer to someone 
> more seasoned than myself, and avoids other pitfalls along the way which 
> I do not even see.  Hopefully, it will feel just as clear to me someday. 
> ;-)

Fair enough, let's see if there are other opinions about this.